Skala
Shipments

Create a new shipment

Adds a new shipment record to the database.

POST
/api/shipments

Adds a new shipment record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new Shipment resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/shipments" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "invoice": "/entity/1",
  "items": [
    {
      "id": 0,
      "invoiceItem": "/entity/1",
      "quantity": "string",
      "total": "string",
      "barcode": "string",
      "expirationDate": "2019-08-24T14:15:22Z",
      "batch": "/entity/1",
      "batchNumber": "string",
      "serialNumbers": [
        {}
      ]
    }
  ],
  "total": "string",
  "saveAndClose": true
}
Empty
Empty